package com.ch.jedge.demo.glm.service;

import com.ch.jedge.bots.tvass.JedgeTVAssistant;
import com.ch.jedge.demo.glm.asserts.QAssetsCopyer;

public class TVAgentService extends BaseJedgeService {


    public TVAgentService() {
        super("tvagent");
    }

    /**
     * Handle action Foo in the provided background thread with the provided
     * parameters.
     */
    @Override
    public void handleStartService(String dir, String dir_cache){
        String[] args = new String[1];
        args[0] = "ppp";
        String cfg_dir = "cfg";
        String jedgeCfgPath = QAssetsCopyer.getLocalCachePath(this, cfg_dir);
        JedgeTVAssistant.TVAss_main(args, jedgeCfgPath);
    }

}
